## wmbubble 1.4

=== Makefile ===
# bubblemon configuration
EXTRA = -DENABLE_DUCK
EXTRA += -DENABLE_CPU
EXTRA += -DENABLE_MEMSCREEN
# EXTRA += -DUPSIDE_DOWN_DUCK

# where to install this program
PREFIX = /usr/local

# no user serviceable parts below
EXTRA += $(WMAN)
# optimization cflags
CFLAGS = -O3 -ansi -Wall `gtk-config --cflags` ${EXTRA}
# profiling cflags
# CFLAGS = -ansi -Wall -pg -O3 `gtk-config --cflags` ${EXTRA} -DPRO
# test coverage cflags
# CFLAGS = -fprofile-arcs -ftest-coverage -Wall -ansi -g `gtk-config --cflags` ${EXTRA} -DPRO


SHELL=sh
OS = $(shell uname -s)
OBJS = bubblemon.o
CC = gcc

# special things for Linux
ifeq ($(OS), Linux)
    OBJS += sys_linux.o
    LIBS = `gtk-config --libs | sed "s/-lgtk//g"`
    INSTALL = -m 755
endif

# special things for FreeBSD
ifeq ($(OS), FreeBSD)
    OBJS += sys_freebsd.o
    LIBS = `gtk-config --libs | sed "s/-lgtk//g"` -lkvm
    INSTALL = -c -g kmem -m 2755 -o root
endif

# special things for OpenBSD
ifeq ($(OS), OpenBSD)
    OBJS += sys_openbsd.o
    LIBS = `gtk-config --libs | sed "s/-lgtk//g"`
endif

#special things for SunOS
ifeq ($(OS), SunOS)

    # try to detect if gcc is available (also works if you call gmake CC=cc to
    # select the sun compilers on a system with both)
    COMPILER=$(shell \
        if [ `$(CC) -v 2>&1 | egrep -c '(gcc|egcs|g\+\+)'` = 0 ]; then \
	    echo suncc; else echo gcc; fi)

    # if not, fix up CC and the CFLAGS for the Sun compiler
    ifeq ($(COMPILER), suncc)
	CC=cc
	CFLAGS=-v -xO3
    endif

    ifeq ($(COMPILER), gcc)
	CFLAGS=-O3 -Wall
    endif
    CFLAGS +=`gtk-config --cflags` ${EXTRA}
    OBJS += sys_sunos.o
    LIBS = `gtk-config --libs` -lkstat -lm
    INSTALL = -m 755
endif


all: bubblemon

bubblemon: $(OBJS)
	$(CC) $(CFLAGS) -o bubblemon $(OBJS) $(LIBS)

clean:
	rm -f bubblemon *.o *.bb* *.gcov gmon.* *.da *~

install:
	install $(INSTALL) bubblemon $(PREFIX)/bin

## wmbubble 1.46

=== debian/changelog ===
wmbubble (1.46-4) unstable; urgency=low

  * QA upload.
  * Make app a child window. (Closes: #602122, #602137).
    - Thanks to Tommaso Parisi for the patch.
  * Add patch to fix FTBFS on GNU/Hurd. (Closes: #534342).
  * Add hardening flags.
  * Add watch file.
  * Bump standards version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 14 May 2013 08:51:52 -0400

wmbubble (1.46-3) unstable; urgency=low

  * QA upload.
    - Upgrade to packaging format "3.0 quilt" (Closes: #670325).
  * debian/control
    - (Maintainer): Set to QA Group, see #632876.
    - (Standards-Version) Update to 3.9.3.
    - (Build-Depends): Update debhelper to 9.
    - (Description): Fix spacing and remove article.
  * debian/copyright
    - Fix copyright-refers-to-symlink-license (Lintian).
  * debian/rules
    - Add required targets build-arch and build-indep.
    - Update dh_clean -k to dh_prep.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 12 May 2012 21:49:35 +0300

wmbubble (1.46-2.1) unstable; urgency=low

  * debian/control
    - (Build-Depends): Add libx11-dev due to KDE_DOCKAPP.
    - (Standards-Version): Update to 3.9.1.
  * debian/patches
    - (Number 04): Refresh. Enable KDE_DOCKAPP to make duck appear
      on WindowMaker (grave; Closes: #549014).
    - (Number 12): Refresh. Update to Gtk 2.x by using --cflags. Add
      -lX11 due to KDE_DOCKAPP.
  * debian/rules
    - (clean): Delete binary manually. Fixes repetitive builds.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Oct 2010 08:59:31 +0300

wmbubble (1.46-2) unstable; urgency=low

  * Updated debhelper to compatibility level 7
  * Updated Standards Version

 -- John H. Robinson, IV <jaqque@debian.org>  Tue,  8 Jul 2008 13:49:13 -0700

wmbubble (1.46-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated to debhelper compatibility level 5.
  * Cleaned up and updated debian/rules:
    + Added sane CFLAGS as mandated by policy
    + Changed to using dh_install instead of cp
    + Changed to using $(CURDIR) instead of `pwd`
    + Removed unused rules.
  * Added dpatch support.
  * Splitted the .diff.gz into seven small patches.
  * Added three extra patches:
    + 08-makefile-cflags: modify Makefile so that it accepts external CFLAGS
      correctly
    + 09-upsidedown-offlimits.dpatch: fix an off-by-one mistake when
      displaying the upsidedown duck that could trigger a SIGSEGV in certain
      cases.  (Closes: #437157)
    + 10-gtk2-migration: migrate wmbubble to GTK2.  Thanks to Julien BLACHE
      for the patch.  (Closes: #437425)
  * Added build-dependency on libgtk-2.0-dev, for the GTK2 migration.
  * Removed the upsidedown comment from the README.Debian, since it wasn't
    true.
  * Updated menu file to the new menu structure.
  * Updated to Standards-Version 3.7.2.  No changes needed

 -- Margarita Manterola <marga@debian.org>  Sat, 01 Sep 2007 19:25:15 -0300

wmbubble (1.46-1) unstable; urgency=low

  * New upstream release (Closes: #261281)
  * Fixed attribution in man page
  * Updated menu to actually launch useful(?) programs
  * Fixed clumsy wording in the package description
  * Many thanks to Romain Francoise for his NMU's

 -- John H. Robinson, IV <jaqque@debian.org>  Mon, 16 Aug 2004 20:56:46 -0700

wmbubble (1.41-0.2) unstable; urgency=low

  * NMU
  * Change logic of the runtime kernel detection patch: default to Linux
    2.4 format if the version doesn't match anything we know; needed for
    people who still run 2.2 and earlier (closes: #250228).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Aug 2004 22:05:44 +0200

wmbubble (1.41-0.1) unstable; urgency=low

  * NMU
  * New upstream release (closes: #220643):
    - Upstream support for Linux 2.6 (closes: #207377)
    - Apply patch from Romain Francoise <rfrancoise@debian.org> to add
      runtime detection of the running kernel (upstream added support 
      as a compile-time option which doesn't suit Debian at all).
  * Apply patch from Romain Francoise <rfrancoise@debian.org> to require a
    second mouse click to unfreeze the load display (closes: #217455).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 28 Mar 2004 12:30:00 +0200

wmbubble (1.4-1) unstable; urgency=low

  * New upstream release

 -- John H. Robinson, IV <jaqque@debian.org>  Wed,  3 Oct 2001 17:16:26 -0700

wmbubble (1.3-1.1) unstable; urgency=low
  * Non-maintainer upload.
  * Fix printf-is-a-macro issue (gcc 3.0).  Closes: #103159

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

wmbubble (1.3-1) unstable; urgency=low

  * New upstream release
  * Initial upload. (closes: Bug#84441)

 -- John H. Robinson, IV <jaqque@debian.org>  Fri, 16 Mar 2001 09:04:53 -0800

wmbubble (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Fixed a bug that caused a segfault under high load/high memory usage
  * Restored -u to original meaning

 -- John H. Robinson, IV <jaqque@debian.org>  Thu, 15 Mar 2001 21:00:15 -0800

wmbubble (1.1-2) unstable; urgency=low

  * Fixed a bug that caused a segfault when you ran out of physical RAM

 -- John H. Robinson, IV <jaqque@ucsd.edu>  Fri,  2 Feb 2001 13:38:50 -0800

wmbubble (1.1-1) unstable; urgency=low

  * Initial Release.
  * Modified Makefile to comply with Debian
  * Changed meaning of -u flag

 -- John H. Robinson, IV <jaqque@ucsd.edu>  Thu,  1 Feb 2001 22:06:04 -0800

=== debian/control ===
Source: wmbubble
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libgtk2.0-dev, libx11-dev
Standards-Version: 3.9.4

Package: wmbubble
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sox, x-terminal-emulator
Description: system-load meter for Window Maker that features a duck
 A Window Maker dockapp (though it does not specifically require the Window
 Maker window manager) that indicates the system load.
 .
 The more profuse the bubbles, the higher the CPU usage. The higher the water,
 the more memory being used.
 .
 Up to two user-specified programs may be launched from this dockapp.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif


build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) BINARY="wmbubble" USER_CFLAGS="$(CFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -f wmbubble
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(MAKE) install PREFIX=$(CURDIR)/debian/wmbubble/usr BINARY=wmbubble
	dh_install misc/wak.wav misc/wakwak.sh usr/share/wmbubble/
	chmod +x $(CURDIR)/debian/wmbubble/usr/share/wmbubble/wakwak.sh

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman debian/wmbubble.1x
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

http://www.ne.jp/asahi/linux/timecop/software/bubblemon-dockapp-(.+)\.tar\.gz

## wmbubble 1.50

=== Makefile ===
# where to install this program
PREFIX = /usr/local

# default build flags
# CFLAGS = -ansi -Wall -ggdb
# optimization cflags
CFLAGS = -ansi -Wall -O3
# profiling cflags
# CFLAGS = -ansi -Wall -O3 -pg -DPRO=50000
# test coverage cflags
# CFLAGS = -ansi -Wall -ggdb -fprofile-arcs -ftest-coverage -DPRO=50000

SHELL=sh
OS = $(shell uname -s)
OBJS = bubblemon.o wmx11pixmap.o
CC = gcc

# special things for Linux
ifeq ($(OS), Linux)
	OBJS += sys_linux.o
	LIBS = -lX11 -lm
endif

# special things for FreeBSD
ifeq ($(OS), FreeBSD)
	OBJS += sys_freebsd.o
	LIBS = -lX11 -lkvm -lm
	INSTALL = -c -g kmem -m 2755 -o root
endif

# special things for NetBSD
ifeq ($(OS), NetBSD)
	OBJS += sys_netbsd.o
	LIBS = -lX11 -lkvm -lm
	INSTALL = -c -g kmem -m 2755 -o root
endif

# special things for OpenBSD
ifeq ($(OS), OpenBSD)
	OBJS += sys_openbsd.o
	LIBS = -lX11 -lm
endif

#special things for SunOS
ifeq ($(OS), SunOS)
# try to detect if gcc is available (also works if you call gmake CC=cc to
# select the sun compilers on a system with both)
	COMPILER=$(shell \
		if [ `$(CC) -v 2>&1 | egrep -c '(gcc|egcs|g\+\+)'` = 0 ]; then \
		echo suncc; else echo gcc; fi)

# if not, fix up CC and the CFLAGS for the Sun compiler
	ifeq ($(COMPILER), suncc)
		CC=cc
		CFLAGS=-v -xO3
	endif

	OBJS += sys_sunos.o
	LIBS = -lX11 -lkstat -lm
endif

all: wmbubble

wmbubble: $(OBJS)
	$(CC) $(CFLAGS) -o wmbubble $(OBJS) $(LIBS)

bubblemon.o: bubblemon.c wmx11pixmap.h include/bubblemon.h \
 include/sys_include.h include/numbers-2.h include/ducks.h \
 include/digits.h misc/numbers.xpm misc/ofmspct.xpm misc/datefont.xpm

wmx11pixmap.o: wmx11pixmap.c wmx11pixmap.h

sys_%.o: sys_%.c include/bubblemon.h include/sys_include.h

clean:
	rm -f wmbubble *.o *.bb* *.gcov gmon.* *.da *~

install:
	install $(INSTALL) wmbubble $(PREFIX)/bin

=== debian/changelog ===
wmbubble (1.50-1) unstable; urgency=low

  * New maintainer. (Closes: #632876)
  * New upstream release.
    - Removed patches from debian/patches now available upstream.
  * debian/control
    - Added new homepage and VCS information.
  * debian/copyright
    - Update to copyright format 1.0.
  * debian/watch
    - Changed to new host.
  * debian/rules
    - Simplified to debhelper 7 style.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 25 Nov 2013 22:42:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: wmbubble
 Section: x11
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libgtk2.0-dev, libx11-dev
+Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
+Build-Depends: debhelper (>= 9), libx11-dev
 Standards-Version: 3.9.4
+Homepage: https://github.com/rnjacobs/wmbubble
+Vcs-Browser: https://github.com/rnjacobs/wmbubble
+Vcs-Git: https://github.com/rnjacobs/wmbubble.git
 
 Package: wmbubble
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	install wmbubble $(CURDIR)/debian/wmbubble/usr/bin/

=== debian/watch ===
version=3
http://githubredir.debian.net/github/rnjacobs/wmbubble/ (.*).tar.gz

## wmbubble 1.51

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,12 @@
+ifneq (,)
+This makefile requires GNU Make.
+endif
+
+INSTALL = -m 755
+VERSION = $(shell git describe --tags)
+
 # where to install this program
+DESTDIR =
 PREFIX = /usr/local
 
 # default build flags
@@ -26,6 +34,13 @@
 	OBJS += sys_freebsd.o
 	LIBS = -lX11 -lkvm -lm
 	INSTALL = -c -g kmem -m 2755 -o root
+endif
+
+ifeq ($(OS), GNU/kFreeBSD)
+	OBJS += sys_freebsd.o
+	LIBS = -lX11 -lkvm -lm
+	INSTALL = -c -g kmem -m 2755 -o root
+	CFLAGS += -D_BSD_SOURCE
 endif
 
 # special things for NetBSD
@@ -75,5 +90,17 @@
 clean:
 	rm -f wmbubble *.o *.bb* *.gcov gmon.* *.da *~
 
-install:
-	install $(INSTALL) wmbubble $(PREFIX)/bin
+install: wmbubble wmbubble.1
+	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
+	install $(INSTALL) wmbubble $(DESTDIR)$(PREFIX)/bin
+	install -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 wmbubble.1 $(DESTDIR)$(PREFIX)/share/man/man1
+
+dist-tar:
+	git archive -v -9 --prefix=wmbubble-$(VERSION)/ master \
+		-o ../wmbubble-$(VERSION).tar.gz
+
+dist: dist-tar
+
+dist-debian: ../wmbubble-$(VERSION).tar.gz
+	cp $< ../wmbubble_$(VERSION).orig.tar.gz

=== debian/changelog ===
wmbubble (1.51-1) unstable; urgency=low

  * New upstream version.
    - Remove debian/patches/add-init_stuff-to-sys_include.h.patch and
      debian/patches/fixes-for-kfreebsd.patch; applied upstream.
    - Rewrite debian/patches/fix-compiler-flags.patch for new Makefile.
    - Rewrite debian/rules to use make install from new Makefile.
    - Remove debian/dirs and debian/manpages; unnecessary because of new
      Makefile.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 28 Jul 2014 18:26:58 -0500

wmbubble (1.50-5) unstable; urgency=low

  * debian/control
    - Update Vcs-*.
  * debian/patches/add-init_stuff-to-sys_include.h.patch
    - Prevent implicit-declaration warning when building for kfreebsd.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 28 Jul 2014 00:35:13 -0500

wmbubble (1.50-4) unstable; urgency=low

  * debian/control
    - Add libkvm-dev to Build-Depends for kfreebsd.  Thanks to Pino Toscano
      <pino@debian.org> for the patch. (Closes: #753546)
    - Update Vcs-* to point to packaging repository instead of upstream.
      (Closes: #753562)
  * debian/patches/series
    - Add newline at end.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 17 Jul 2014 15:54:02 -0500

wmbubble (1.50-3) unstable; urgency=low

  * debian/patches/fixes-for-kfreebsd.patch
    - Add fixes so package builds on Debian GNU/kFreeBSD.
  * debian/patches/fix-compiler-flags
    - Update to work with kFreeBSD patch.
  * debian/wmbubble.manpages
    - Remove redundant file.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 21 Jun 2014 00:29:36 -0600

wmbubble (1.50-2) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.9.5, no changes required.
  * debian/install
    - Restore misc/wak* to /usr/share/wmbubble.
  * debian/watch
    - Update watch file from sepwatch.
  * debian/wmbubble.manpages
    - Remove debian/wmbubble.1x, as manpage has been moved upstream.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 23 Apr 2014 23:37:36 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: x11
 Priority: optional
 Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
-Build-Depends: debhelper (>= 9), libx11-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libx11-dev, libkvm-dev [kfreebsd-any]
+Standards-Version: 3.9.5
 Homepage: https://github.com/rnjacobs/wmbubble
-Vcs-Browser: https://github.com/rnjacobs/wmbubble
-Vcs-Git: https://github.com/rnjacobs/wmbubble.git
+Vcs-Browser: https://github.com/d-torrance/wmbubble
+Vcs-Git: https://github.com/d-torrance/wmbubble.git
 
 Package: wmbubble
 Architecture: any

## wmbubble 1.52

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # default build flags
 # CFLAGS = -ansi -Wall -ggdb
 # optimization cflags
-CFLAGS = -ansi -Wall -O3
+CFLAGS += -ansi -Wall -O3
 # profiling cflags
 # CFLAGS = -ansi -Wall -O3 -pg -DPRO=50000
 # test coverage cflags
@@ -32,14 +32,12 @@
 # special things for FreeBSD
 ifeq ($(OS), FreeBSD)
 	OBJS += sys_freebsd.o
-	LIBS = -lX11 -lkvm -lm
-	INSTALL = -c -g kmem -m 2755 -o root
+	LIBS = -lX11 -lm
 endif
 
 ifeq ($(OS), GNU/kFreeBSD)
 	OBJS += sys_freebsd.o
-	LIBS = -lX11 -lkvm -lm
-	INSTALL = -c -g kmem -m 2755 -o root
+	LIBS = -lX11 -lm
 	CFLAGS += -D_BSD_SOURCE
 endif
 
@@ -77,7 +75,7 @@
 all: wmbubble
 
 wmbubble: $(OBJS)
-	$(CC) $(CFLAGS) -o wmbubble $(OBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -o wmbubble $(OBJS) $(LIBS)
 
 bubblemon.o: bubblemon.c wmx11pixmap.h include/bubblemon.h \
  include/sys_include.h include/numbers-2.h include/ducks.h \

=== debian/changelog ===
wmbubble (1.52-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Remove Build-Depends on libkvm-dev.
    - Bump Standards-Version to 3.9.6; no changes required.
  * debian/patches
    - Remove directory; patch applied upstream.
  * debian/README.Debian
    - Remove file; out of date.
  * debian/rules
    - Add get-orig-source target.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 02 Dec 2014 00:18:58 -0600

## wmbubble 1.53

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 CFLAGS += -ansi -Wall -O3
 # profiling cflags
 # CFLAGS = -ansi -Wall -O3 -pg -DPRO=50000
+# LDFLAGS = -pg
 # test coverage cflags
 # CFLAGS = -ansi -Wall -ggdb -fprofile-arcs -ftest-coverage -DPRO=50000

=== debian/changelog ===
wmbubble (1.53-2) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/copyright
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 24 Aug 2015 00:15:11 -0400

wmbubble (1.53-1) unstable; urgency=medium

  * New upstream release.
  * debian/{copyright,install}
    - Add newlines at end of files.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 26 May 2015 23:32:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: wmbubble
 Section: x11
 Priority: optional
-Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
-Build-Depends: debhelper (>= 9), libx11-dev, libkvm-dev [kfreebsd-any]
-Standards-Version: 3.9.5
+Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Build-Depends: debhelper (>= 9), libx11-dev
+Standards-Version: 3.9.6
 Homepage: https://github.com/rnjacobs/wmbubble
-Vcs-Browser: https://github.com/d-torrance/wmbubble
-Vcs-Git: https://github.com/d-torrance/wmbubble.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmbubble.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmbubble.git
 
 Package: wmbubble
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
https://github.com/rnjacobs/wmbubble/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|wmbubble(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## wmbubble 1.54

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 This makefile requires GNU Make.
 endif
 
-INSTALL = -m 755
+INSTALL = install
+INSTFLAGS = -m 755
 VERSION = $(shell git describe --tags)
 
 # where to install this program
@@ -46,7 +47,7 @@
 ifeq ($(OS), NetBSD)
 	OBJS += sys_netbsd.o
 	LIBS = -lX11 -lkvm -lm
-	INSTALL = -c -g kmem -m 2755 -o root
+	INSTFLAGS = -c -g kmem -m 2755 -o root
 endif
 
 # special things for OpenBSD
@@ -90,10 +91,10 @@
 	rm -f wmbubble *.o *.bb* *.gcov gmon.* *.da *~
 
 install: wmbubble wmbubble.1
-	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
-	install $(INSTALL) wmbubble $(DESTDIR)$(PREFIX)/bin
-	install -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
-	install -m 644 wmbubble.1 $(DESTDIR)$(PREFIX)/share/man/man1
+	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL) $(INSTFLAGS) wmbubble $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
+	$(INSTALL) -m 644 wmbubble.1 $(DESTDIR)$(PREFIX)/share/man/man1
 
 dist-tar:
 	git archive -v -9 --prefix=wmbubble-$(VERSION)/ master \

=== debian/changelog ===
wmbubble (1.54-2) unstable; urgency=medium

  [ Doug Torrance ]
  * debian/changelog
    - Put quotes around John H. Robinson, IV's name to avoid
      bogus-mail-host-in-debian-changelog Lintian errors.
  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Update my copyright years.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/watch
    - Update download URL.

  [ Debian Janitor ]
  * debian/copyright
    - Use spaces rather than tabs to start continuation lines.
  * debian/upstream/metadata
    - Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
      Repository-Browse.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 25 Oct 2021 22:50:54 -0400

wmbubble (1.54-1) unstable; urgency=medium

  * New upstream version 1.54
  * Remove upstreamed patches.

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 29 Aug 2020 13:30:48 +0100

wmbubble (1.53-3) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.
  * Update Format in d/copyright to https.

  [ Jeremy Sowden ]
  * Bump compat to 13 and replace d/compat with b-d on debhelper-compat.
  * Add myself to uploaders.
  * Bump Standards-Version to 4.5.0.
  * Remove get-orig-source.
  * Enable hardening.
  * Add Rules-requires-root: no.
  * Add patch to fix FTBFS with gcc-10 caused by multiple definitions of
    global variables (closes: #957939).
  * Add patch to rename INSTALL makefile variable and fix installation
    failures.
  * Update d/watch.

 -- Jeremy Sowden <jeremy@azazel.net>  Fri, 05 Jun 2020 11:29:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: wmbubble
 Section: x11
 Priority: optional
-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 9), libx11-dev
-Standards-Version: 3.9.6
+Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
+           Jeremy Sowden <jeremy@azazel.net>
+Build-Depends: debhelper-compat (= 13), libx11-dev
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/rnjacobs/wmbubble
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmbubble.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmbubble.git
+Vcs-Browser: https://salsa.debian.org/wmaker-team/wmbubble
+Vcs-Git: https://salsa.debian.org/wmaker-team/wmbubble.git
 
 Package: wmbubble
 Architecture: any

=== debian/watch ===
version=4
https://github.com/rnjacobs/@PACKAGE@/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
